<?php
/*
 * name: plugin widget externe
 * description: module permettant d'integre des widgets de site externe
 * dependencies: no
 * author: David Perrin
 * url: http://eole.orion.education.fr
 */


require_once('../includes/tutorial.inc.php');
require_once('../includes/http.inc.php');
require_once('externe_lib.php');
register_hook('install_plugin_exterwidget/plugin_exterwidget','extern_install');
register_hook('uninstall_plugin_exterwidget/plugin_exterwidget','extern_uninstall');
register_hook('userinterface_header','loadexterneJavascript',5,2);
register_hook("admin_scr_config_plugins","externe_save_config");

// show configuration
register_hook("display_plugin","plug_display",8,1);

// show configuration
function plug_display($info){
     if($info['name'] == "plugin widget externe" ){
         require_once("plugin_exterwidget_config.php");
     }
}

function loadexterneJavascript($pagename){
    require_once('externe_tmpl.php');
    echo '<script type="text/javascript" src="../includes/tutorial.js?v=1.5.4"></script>';
    echo '<script type="text/javascript" src="../includes/plugins/plugin_exterwidget/externe.js"></script>';
    if (isset($_POST['submit'])){
        $id=getNewId();
        $url = getUrl($_POST,$id);
        $widgetExiste = verifWidget($url);
        if ($widgetExiste){
            insertWidgetPortail($widgetExiste,$_POST,$module_updatemoduleexterne,$module_insertmoduleexterne);
            redir($_SERVER['REQUEST_URI']);
        }
        else {
            $format = getFormat($_POST);
            insertWidget($id,$url,$format,$_POST,$module_validateexterneModule);
            insertCat($id);
            $num = getNumWidget();
            updateNumWidget($refreshcache_setQuantity,$num+1);
            generationIcone($id);
            insertWidgetPortail($id,$_POST,$module_updatemoduleexterne,$module_insertmoduleexterne);
            creationXmlParam($id,$_POST,$screxpertadd1_updateVars2);
            creationXmlContent($id,$row);
            creationXmlCache($cache_getRootDirectoryChildren);
            creationXmlCache2($cache_getDirectoryInformation,$module_getModuleInformationXml);
            xmlItemCache($id);
            redir($_SERVER['REQUEST_URI']);
        }
    }
}

function getNewId(){
    global $DB;
    $nb=$DB->getResults("SELECT id FROM dir_item ORDER BY id DESC LIMIT 0,1");
    $row=$DB->fetch(0);
    $id=$row[id];
    $id=$id+1;
    return $id;
}

function externe_save_config(){
	$inc=0;
	while ( isset($_POST["plugi".$inc]) )
	{
		if($_POST["name".$inc] == "plugin widget externe")
		{
			if($_POST["modifextern_plugin"] == 1)
			{
				require_once("scr_plugin_exterwidget_config.php");
			}
			break;
		}
		$inc++;
	}
}

/*
 * Install function
 */
function extern_install()
{
	global $DB;
	$sql = "DROP TABLE IF EXISTS `externe_widget`;";
	$DB->execute($sql);
	$sql = "CREATE TABLE externe_widget (
	`id` int(11) NOT NULL auto_increment,
    `site` tinytext character set utf8 NOT NULL,
     PRIMARY KEY  (`id`)
    )";
	$DB->execute($sql);
}
/*
 * Uninstall function
 */
function extern_uninstall()
{
	global $DB;
	$sql = "DROP TABLE externe_widget";
	$DB->execute($sql);
}
?>
