// Exportation d'onglet
var help_link = "<a href=\"javascript:_type='block';"
    + "if (navIsShown('thumb_exporter_info')) _type='none';"
    + "navShow('thumb_exporter_info', _type);\" class='thumbexporterhelplink'>";
var help = "<div id='thumb_exporter_info' style='display:none;'>"
    + "Cet outil vous permet de configurer un portail et d'exporter "
    + "les onglets vers votre gestionnaire de profil.<br />"
    + "<ul><li>Entrez un identifiant pour la manipulation dans le gestionnaire <br />"
    + "<li>Si vous voulez gérez la position de l'onglet, entrez la position voulue"
    + "<li>Cliquez sur le libellé de l'onglet</div>";
// Affiche l'exportateur dans le menu
function displayExplorer(){
    var l_s = "<div style='font-size:0.85em' ><div>Outil d'exportation d'onglet vers la gestion de profil</div>"
        + "<a href='javascript:ExporterMenu()' style='font-weight:bold'>Lister vos onglets</a><br /><br />"
        + "<div id='thumb_exporter_list'><br /></div>"
        + help_link
        + help
        + "</div>";
    $p.app.menu.addArea('addmenu_8', l_s);
}
// Ajoute une entrée pour l'exportateur dans le menu
function addExporterMenu(){
    $p.app.menu.addTitle('addmenu_8',
                         '../includes/plugins/plugin_thumbs/images/ico_exporter.png',
                         'Exporter des onglets',
                         displayExplorer);
}
/* Renvoie le formulaire d'export d'onglet
   thumb_id : indice de l'onglet courant (pour la coloration) */
function ExporterMenu(thumb_id){
	tag = "<form id='thumb_exporter_form' onsubmit='return false;'>";
    tag += "Nom (dans le gestionnaire):<input type='text' name='name' value='<nom>' onfocus=\"this.value=''\" /><br />";
    tag +=  "<div style='display:none'>"
            + "Position (actuelle par défaut):"
            + "<input type='text' name='indice' value='<placement>' onfocus=\"this.value=''\" />"
            + "</div>";
    tag += "</form>";
	tag += "<b>Choisissez la page que vous voulez exporter :</b><br />";
	tag += "<ul>";
	for (i=0; i<tab.length; i++){
        if (tab[i].type != 3){
    		tag += "<li><a href='#' onclick='ExportCurrentPage(" + tab[i].id + ");' >";
	    	if (thumb_id == tab[i].id){
		    	tag += "<font color='#5555ff'>" + tab[i].label + "</font>";
    		}else{
	    		tag += tab[i].label;
		    }
    		tag += "</a></li>";
        }
	}
	tag += "</ul>";
	navPrint("thumb_exporter_list", tag);
}
function checkName(name){
	required_re = /[^.*]/;
	alphanum_re = /^[a-z0-9 ._-]+$/i;
	return (alphanum_re.test(name) && required_re.test(name) && (name.indexOf(' ') == -1) && (name != '<nom>'));
}
function checkIndice(indice){
    num_re = /^[-+]?\d+$/;
    return (num_re.test(indice));
}
/* Exporte la page courante */
function ExportCurrentPage(thumb_id){
	function callback(){
		ExporterMenu(thumb_id);
	}
	name = _gel("thumb_exporter_form").name.value;
    indice = _gel("thumb_exporter_form").indice.value;
    if ((indice == '<placement>') || (indice == '')) indice = -1;
	if (checkName(name)&&checkIndice(indice)){
		executescr('../includes/plugins/plugin_thumbs/exporter.php',
                   'currentid='
                   + thumb_id
                   + '&thumbname=' + name
                   + '&thumbindice=' + indice,
                   true, true, callback);
        return true;
	}
    if (!checkIndice(indice)){
        window.alert("Veuillez rentrer un entier pour le placement de l'onglet\n (ce placement correspond à sa place dans l'interface du destinataire)");
        _gel("thumb_exporter_form").indice.focus();
        return false;
    }
	else{
		window.alert("Veuillez rentrer un nom unique pour identifier votre onglet dans la base de profil.\n Ce nom doit être uniquement composé de caractère alphanumériques.");
		_gel("thumb_exporter_form").name.focus();
        return false;
	}
}
function reduceExporter(){
    _type='none';
    if (!navIsShown('thumb_exporter_container')) _type='block';
    navShow('thumb_exporter_container', _type);
}
